# Class: QueryFilter

## helma.Search.QueryFilter(q)

#### new QueryFilter(q)

Constructs a new QueryFilter instance. This class wraps a lucene QueryFilter.

##### Parameters:

Name | Type | Description
--- | --- | ---
`q` | helma.Search.Query | The query object to use as the basis for the QueryFilter instance.

Source:
  - helma/Search.js, line 134

##### Returns:

A newly created QueryFilter instance.

### Methods

#### getFilter()

Returns the wrapped filter instance

Source:
  - helma/Search.js, line 141